import { AssetInitOptions, type Spritesheet, type Texture, Assets as pxAssets } from 'pixi.js';
import { JSX } from 'solid-js';
export type AssetsLoader = {
    fallback?: JSX.Element;
    init?: AssetInitOptions;
    add?: Parameters<(typeof pxAssets)['add']>;
    load?: Parameters<(typeof pxAssets)['load']>;
    addBundle?: Parameters<(typeof pxAssets)['addBundle']>;
    addBundles?: Array<Parameters<(typeof pxAssets)['addBundle']>>;
    loadBundle?: Parameters<(typeof pxAssets)['loadBundle']>;
    backgroundLoad?: Parameters<(typeof pxAssets)['backgroundLoad']>;
    backgroundLoadBundle?: Parameters<(typeof pxAssets)['backgroundLoadBundle']>;
};
export type AssetsProps<T = JSX.Element> = AssetsLoader & {
    children: T;
};
export declare function Assets<T extends Record<string, Texture | Spritesheet | FontFace | Record<string, any> | string>, TRenderFunction extends (assets: T) => JSX.Element = (assets: T) => JSX.Element>(props: AssetsProps<TRenderFunction | JSX.Element>): JSX.Element;
//# sourceMappingURL=Assets.d.ts.map